/*****************
	WEATHER: yahooWeather
******************/
var MiniIcons =
[
	"tstorm3",		//0 	tornado
	"tstorm3",		//1 	tropical storm
	"tstorm3",		//2 	hurricane
	"tstorm3",		//3 	severe thunderstorms
	"tstorm2",		//4 	thunderstorms
	"sleet",		//5 	mixed rain and snow
	"sleet",		//6 	mixed rain and sleet
	"sleet",		//7 	mixed snow and sleet
	"sleet",		//8 	freezing drizzle
	"light_rain",		//9 	drizzle
	"sleet",		//10 	freezing rain
	"shower2",		//11 	showers
	"shower2",		//12 	showers
	"snow1",		//13 	snow flurries
	"snow2",		//14 	light snow showers
	"snow4",		//15 	blowing snow
	"snow4",		//16 	snow
	"hail",		//17 	hail
	"sleet",		//18 	sleet
	"mist",		//19 	dust
	"fog",		//20 	foggy
	"fog",		//21 	haze
	"fog",		//22 	smoky
	"cloudy1",		//23 	blustery
	"cloudy1",		//24 	windy
	"overcast",		//25 	cold
	"cloudy1",		//26 	cloudy
	"cloudy4_night",		//27 	mostly cloudy (night)
	"cloudy4",		//28 	mostly cloudy (day)
	"cloudy2_night",		//29 	partly cloudy (night)
	"cloudy2",		//30 	partly cloudy (day)
	"sunny_night",		//31 	clear (night)
	"sunny",		//32 	sunny
	"mist_night",		//33 	fair (night)
	"mist",		//34 	fair (day)
	"hail",		//35 	mixed rain and hail
	"sunny",		//36 	hot
	"tstorm1",		//37 	isolated thunderstorms
	"tstorm2",		//38 	scattered thunderstorms
	"tstorm2",		//39 	scattered thunderstorms
	"tstorm2",		//40 	scattered showers
	"snow5",		//41 	heavy snow
	"snow3",		//42 	scattered snow showers
	"snow5",		//43 	heavy snow
	"cloudy1",		//44 	partly cloudy
	"storm1",		//45 	thundershowers
	"snow2",		//46 	snow showers
	"tstorm1",		//47 	isolated thundershowers
	"dunno",		//3200 	not available
]

function xml_loaded (request){
	if (request.responseXML){
		var effectiveRoot = findChild(findChild(request.responseXML, "rss"), "channel");
		conditionTag = findChild(findChild(effectiveRoot, "item"), "yweather:condition");
		
		document.getElementById("location").innerHTML = trimWhiteSpace(findChild(effectiveRoot, "yweather:location").getAttribute("city")).toLowerCase();

		deg = "&deg;";
		temp = parseInt(conditionTag.getAttribute("temp"));
		if(isCelsius == true){
			temp = convertTemp(temp);
			deg = "&deg;C";
		}
		document.getElementById("temp").innerHTML = temp+deg;
		document.getElementById("desc").innerHTML = conditionTag.getAttribute("text").toLowerCase();
		document.getElementById("weatherIcon").src="images/"+iconSet+"/"+MiniIcons[conditionTag.getAttribute("code")]+iconExt;


	}else{
		document.getElementById("location").innerHTML = "Error...";
	}
	
	setTimeout('fetchWeatherData(url)', 1000*60*updateInterval);
}